<?

include_once '../../sys/inc/start.php';

include_once '../../sys/inc/compress.php';

include_once '../../sys/inc/sess.php';

include_once '../../sys/inc/home.php';

include_once '../../sys/inc/settings.php';

include_once '../../sys/inc/db_connect.php';

include_once '../../sys/inc/ipua.php';

include_once '../../sys/inc/fnc.php';

include_once '../../sys/inc/user.php';



$set['title']='Список категорий';

include_once '../../sys/inc/thead.php';





//----------------------создание категории---------------------//

if (isset($_GET['new']) && $_GET['new']=='ok' && $user['level']>3){

if (isset($_POST['name']))

{

$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);

//if (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui",$name))$err='В названии темы присутствуют запрещенные символы';

if (strlen2($name)<3)$err[]='Короткое название для категории';

if (strlen2($name)>32)$err[]='Название категории не должно быть длиннее 32-х символов';

$mat=antimat($name);

if ($mat)$err[]='В названии категории обнаружен мат: '.$mat;

$name=my_esc($name);

if (!isset($err))

{

mysql_query("INSERT INTO `smile_dir` (`name`) values('$name')");

msg('Категория успешно создана');

}

}

}

//----------------------------------------------------------------//



title();

err();

aut();

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)

&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&

!preg_match('#info\.php#',$_SERVER['HTTP_REFERER']))

$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));







//-----------------------категории----------------------------//

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `smile_dir`"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];

echo "<table class='post'>\n";

if ($k_post==0) // Если папка пуса

{

	echo '<div class="mess">';

	echo "Нет категорий\n";

	echo '</div>';

}



$q=mysql_query("SELECT * FROM `smile_dir` ORDER BY id ASC");

while ($dir = mysql_fetch_assoc($q))

{

/*-----------зебра-----------*/

if ($num==0)

{echo '<div class="nav1">';

$num=1;

}elseif ($num==1)

{echo '<div class="nav2">';

$num=0;}

/*---------------------------*/



echo "<img src='/style/themes/$set[set_them]/loads/14/dir.png' alt='*'> ";



echo "<a href='/plugins/smiles/dir.php?id=$dir[id]'>".htmlspecialchars($dir['name'])."</a> \n";



echo '('.mysql_result(mysql_query("SELECT COUNT(*) FROM `smile` WHERE `dir` = '$dir[id]'"),0).')';



echo "</div>\n";

}

echo "</table>\n";



if (isset($user) && $user['level']>3){

echo "<div class='foot'>\n";

echo "<img src='/style/icons/str.gif' alt='*'> <a href='/adm_panel/smiles.php'>Управление смайлами</a>";

echo "</div>";

}







include_once '../../sys/inc/tfoot.php';

?>